local Vector3 = GLOBAL.Vector3
local require = GLOBAL.require
TUNING.PERISH_FRIDGE_MULT = GetModConfigData("perishtime")
local invent = GetModConfigData("invent")
local nofreezethermal = GetModConfigData("thermal")

AddPrefabPostInit("backpack", function(inst)
	if not inst:AddTag("fridge") then
		inst:AddTag("fridge")
	end
	if nofreezethermal == "no" then
		inst:AddTag("nocool")
	end
end)

if invent == 1 then
	function containers.widgetsetup(container, prefab, data, ...)
		local result = widgetsetup_Base(container, prefab, data, ...)
		if 	container.inst.prefab == "backpack" or prefab == "backpack" then
			container.widget.slotpos = {}
			container.widget.animbank = "ui_krampusbag_2x8"
			container.widget.animbuild = "ui_krampusbag_2x8"
			container.widget.pos = Vector3(-5, -120, 0)
			for y = 0, 6 do
				table.insert(container.widget.slotpos, Vector3(-162, -75 * y + 240, 0))
				table.insert(container.widget.slotpos, Vector3(-162 + 75, -75 * y + 240, 0))
			end
			container:SetNumSlots(container.widget.slotpos ~= nil and #container.widget.slotpos or 0)
		end
	return result
	end
end
